package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.GestorCombate

class EfectoRegeneracionEnemigo(private val mensajeCuracion: String,private val cantidad: Int) : Efecto(100) {
    override fun ejecutar(): String {
        GestorCombate.cargarAnimacionsRegeneracionEnemigo()

        GameState.eventoActual.actualizarResistencia(cantidad)

        return mensajeCuracion
    }
}